| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
NTuple::Range< TYP > Class Template Reference

Class defining a range. More...

`#include <GaudiKernel/NTuple.h>`

## Public Member Functions
| Range (TYP low, TYP upper)
| Standard constructor. More...
| Range (const Range< TYP > &copy)
| Copy constructor. More...
Range & | operator= (const Range< TYP > &copy)
| Adjust ranges. More...
virtual | ~Range ()=default
| Destructor. More...
TYP | lower () const
| Lower boundary of range. More...
TYP | upper () const
| Upper boundary of range. More...
TYP | distance () const
| Distance between lower and upper range. More...
template<>
IOpaqueAddress * | min ()
template<>
IOpaqueAddress * | max ()

## Static Public Member Functions
static TYP | min ()
| Minimal number of data. More...
static TYP | max ()
| Maximal number of data. More...

## Private Attributes
TYP | m_lower
| Lower boundary of range. More...
TYP | m_upper
| Upper boundary of range. More...

## Detailed Description

### template<class TYP>
class NTuple::Range< TYP >

Class defining a range.

Definition at line 36 of file NTuple.h.

## Constructor & Destructor Documentation

template<class TYP>

NTuple::Range< TYP >::Range | ( | TYP | low,
|  | TYP | upper
| ) |  |
| inline

Standard constructor.

Definition at line 55 of file NTuple.h.

55 : m_lower(std::move(low)), m_upper(std::move(upper)) {
56 }
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:50
NTuple::Range::upper
TYP upper() const
Upper boundary of range.
Definition: NTuple.h:72
std::move
T move(T...args)
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:52
template<class TYP>

NTuple::Range< TYP >::Range | ( | const Range< TYP > & | copy | ) |
| inline

Copy constructor.

Definition at line 58 of file NTuple.h.

58 : m_lower(copy.m_lower),
59 m_upper(copy.m_upper) {
60 }
std::copy
T copy(T...args)
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:50
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:52
template<class TYP>

virtual NTuple::Range< TYP >::~Range | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

template<class TYP>

TYP NTuple::Range< TYP >::distance | ( |  | ) | const
| inline

Distance between lower and upper range.

Definition at line 74 of file NTuple.h.

74 { return m_upper-m_lower; }
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:50
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:52
template<class TYP>

TYP NTuple::Range< TYP >::lower | ( |  | ) | const
| inline

Lower boundary of range.

Definition at line 70 of file NTuple.h.

70 { return m_lower; }
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:50
template<class TYP>

static TYP NTuple::Range< TYP >::max | ( |  | ) |
| inline static

Maximal number of data.

Definition at line 78 of file NTuple.h.

78 { return std::numeric_limits<TYP>::max() ; }
std::numeric_limits::max
T max(T...args)
template<>

IOpaqueAddress * NTuple::Range< IOpaqueAddress * >::max | ( | void |  | ) |
| inline

Definition at line 107 of file NTuple.h.

107 { return (IOpaqueAddress*)0xffffffff ; }
IOpaqueAddress
Opaque address interface definition.
Definition: IOpaqueAddress.h:23
template<class TYP>

static TYP NTuple::Range< TYP >::min | ( |  | ) |
| inline static

Minimal number of data.

Definition at line 76 of file NTuple.h.

76 { return std::numeric_limits<TYP>::min() ; }
std::numeric_limits::min
T min(T...args)
template<>

IOpaqueAddress * NTuple::Range< IOpaqueAddress * >::min | ( |  | ) |
| inline

Definition at line 104 of file NTuple.h.

104 { return (IOpaqueAddress*)0x0 ; }
IOpaqueAddress
Opaque address interface definition.
Definition: IOpaqueAddress.h:23
template<class TYP>

Range& NTuple::Range< TYP >::operator= | ( | const Range< TYP > & | copy | ) |
| inline

Adjust ranges.

Definition at line 62 of file NTuple.h.

62 {
63 m_lower = copy.m_lower;
64 m_upper = copy.m_upper;
65 return *this;
66 }
std::copy
T copy(T...args)
NTuple::Range::m_lower
TYP m_lower
Lower boundary of range.
Definition: NTuple.h:50
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:52
template<class TYP>

TYP NTuple::Range< TYP >::upper | ( |  | ) | const
| inline

Upper boundary of range.

Definition at line 72 of file NTuple.h.

72 { return m_upper; }
NTuple::Range::m_upper
TYP m_upper
Upper boundary of range.
Definition: NTuple.h:52

## Member Data Documentation

template<class TYP>

TYP NTuple::Range< TYP >::m_lower
| private

Lower boundary of range.

Definition at line 50 of file NTuple.h.

template<class TYP>

TYP NTuple::Range< TYP >::m_upper
| private

Upper boundary of range.

Definition at line 52 of file NTuple.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NTuple.h